#ifndef LSVPD_DEVICE_IDE_H
#define LSVPD_DEVICE_IDE_H

/*
  device_ide - VPD support routines for IDE devices.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2005
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: device_ide.h,v 1.2 2005/06/21 08:02:53 martins Exp $
*/

#include <stdbool.h>
  
#define DEVICE_IDE_TYPE "ide"

typedef struct device_ide_address {
	unsigned int channel;
	unsigned int unit;
} device_ide_address_t;

extern bool
device_parse_ide_address(const char * s,
			 device_ide_address_t * a);

extern bool
device_parse_ide_bus_info(const device_bus_info_t bus_info,
			  device_ide_address_t * a);

extern bool
device_ide_do_mf_tm(char ** mf, char ** tm);

#endif
