#ifndef DEVICE_IDE_PROC_H
#define DEVICE_IDE_PROC_H

/*
  lsvpd - Device-related definitions for the lsvpd package.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2003, 2004, 2005
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: device_ide_proc.h,v 1.1 2005/06/07 00:48:18 martins Exp $
*/
  
#include <stdbool.h>
#include <linux/hdreg.h>

#include "device.h"

typedef bool
(* device_ide_proc_get_identity_t) (const device_t type,
				    const device_bus_info_t bus_info,
				    struct hd_driveid * id);

/* For testing: */
extern device_ide_proc_get_identity_t device_ide_proc_get_identity_function;
extern char * device_ide_proc_ide_dir;

#endif
