#ifndef LSVPD_DEVICE_SCSI_H
#define LSVPD_DEVICE_SCSI_H

/*
  lsvpd - SCSI Device-related definitions for the lsvpd package.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2003, 2004, 2005
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: device_scsi.h,v 1.3 2005/07/09 22:56:23 martins Exp $
*/

#include <stdbool.h>
  
#define DEVICE_SCSI_TYPE "scsi"

typedef struct device_scsi_address {
	unsigned int host;
	unsigned int bus;
	unsigned int target;
	unsigned int lun;
} device_scsi_address_t;

extern bool
device_parse_scsi_address(const char * s,
			  device_scsi_address_t * a);

extern bool
device_parse_scsi_bus_info(const device_bus_info_t bus_info,
			   device_scsi_address_t * a);

extern const char *
device_scsi_subtype_string(unsigned char subtype);

extern char *
device_scsi_ds(unsigned char subtype,
	       const char * mf);

extern bool
device_scsi_append_field(vpd_list_t **         vpd,
			 const char *          key,
			 const unsigned char * data,
			 size_t                len,
			 const char *          subtype_string);
extern bool
device_scsi_append_field_string(vpd_list_t **  vpd,
				const char *   key,
				const char *   data,
				const char *   subtype_string);

#endif
