#ifndef PCI_SCSI_H
#define PCI_SCSI_H

/*
  pci_scsi - Get PCI (and other) information for scsi adapters.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2004
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: pci_scsi.h,v 1.1 2004/10/19 05:56:36 martins Exp $
*/
  
#include <sys/types.h>

#include "util.h"

typedef struct pci_scsi {
	uint32_t              num;
	uint32_t              dom;
	uint8_t               bus;
	uint8_t               dev;
	uint8_t               fun;
	uint16_t              irq;
	const char *          driver;
	struct pci_scsi *     next;
} pci_scsi_t;

#define PCI_SCSI_NODOM 0xffffffff

extern pci_scsi_t *
pci_scsi();

extern void
pci_scsi_free(pci_scsi_t * l);

extern void
pci_scsi_fprint(FILE * f, pci_scsi_t * ep);

#endif
