/*
  sysfs - sysfs basics.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2005
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: sysfs.c,v 1.4 2005/06/27 04:38:38 martins Exp $
*/

#include <stdio.h>
#include <sysfs/libsysfs.h>
#include <stdlib.h>
#include <unistd.h>

#include "init.h"
#include "sysfs.h"

char * lsvpd_sysfs_dir = NULL;

static void
init(void)
{
	char t[SYSFS_PATH_MAX];
	char * x;

	x = getenv("LSVPD_SYSFS_DIR");
	if ((NULL == x) &&
	    (0 == sysfs_get_mnt_path(t, SYSFS_PATH_MAX)))
		x = t;

	if ((NULL != x) && (0 == access(x, F_OK))) {
		lsvpd_sysfs_dir = malloc(SYSFS_PATH_MAX + 1);
		if (NULL != lsvpd_sysfs_dir) {
			strncpy(lsvpd_sysfs_dir, x, SYSFS_PATH_MAX);
			lsvpd_sysfs_dir[SYSFS_PATH_MAX] = '\0';
		}
	}
}

INIT(init);
